<bugID>417721<Summary>idea: add a link to "find Similar pages"</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.12) Gecko/20080201 Firefox/2.0.0.12
Build Identifier: Firefox 3 beta 3

if the user clicks on a website icon (in the location box) he can see some
information about the website, add there a link to "find Similar pages"

for example:
if you are on www.cnn.com/ you click on a website icon, and then click on "find Similar pages". 
then you will get this result:
http://www.google.com/search?hl=en&amp;q=related:www.cnn.com/

mozilla can even earn money form that feature


Reproducible: Always

Steps to Reproduce:
1.
2.
3.</Description></bugID>